RTQUERY(8)

NAME
rtquery - query routing daemons for their routing tables

SYNOPSIS
rtquery [-np1] [-w timeout] [-r addr] [-a secret] host ...
rtquery [-t op] host ...

DESCRIPTION
Rtquery is used to query a RIP network routing daemon, routed(8) or gated(8), for its routing table by sending a request or poll command. The routing information in any routing response packets returned is displayed numerically and symbolically.

Rtquery by default uses the request command. When the -p option is specified, rtquery uses the poll command, an undocumented extension to the RIP protocol supported by gated(8). When querying gated(8), the poll command is preferred over the request command because the response is not subject to Split Horizon and/or Poisoned Reverse, and because some versions of gated do not answer the request command. Routed(8) does not answer the poll command, but recognizes requests coming from rtquery and so answers completely.

Rtquery is also used to turn tracing on or off in routed(8).

The following options are available:

-n  displays only the numeric network and host numbers instead of both numeric and symbolic.

-p  uses the poll command to request full routing information from gated(8). This is an undocumented extension RIP protocol supported only by gated(8).

-1  queries using RIP version 1 instead of RIP version 2.

-w timeout
    changes the delay for an answer from each host. By default, each host is given 15 seconds to respond.

-r addr
    asks about the route to destination addr.

-a passwd=XXX

-a md5_passwd=XXX|KeyID
    causes the query to be sent with the indicated cleartext or MD5 password.

-t op
    changes tracing, where op is one of the following. Requests from processes not running with UID 0 or on distant networks are generally ignored by the daemon except for a message in the system log. Gated(8) is likely to ignore these debugging requests.

on=tracefile
    turns tracing on into the specified file. That file must usually have been specified when the daemon was started or be the same as a fixed name, often /etc/routed.trace.

more
    increases the debugging level.

off turns off tracing.

dump
    dumps the daemon's routing table to the current tracefile.

SEE ALSO
gated(8), routed(8) Routing Information Protocol, RIPv1, RFC1058. Routing Information Protocol, RIPv2, RFC1723.